## org.eclipse.e4.xwt
Interface IMetaclassFactory

    public interface IMetaclassFactory

Metaclass factory provides a customizable Metaclass creation mechanism.

Author:
  yyang

Method Summary
`IMetaclass` `create(java.lang.Class<?> type, IMetaclass superMetaclass)`
`boolean` `isFactoryOf(java.lang.Class<?> type)`

Method Detail

### isFactoryOf

    boolean isFactoryOf(java.lang.Class<?> type)

### create

    IMetaclass create(java.lang.Class<?> type,
                      IMetaclass superMetaclass)